<?php
require_once("mc_config.php");
require_once("mc_lang.php");

// if no event datetime, then it's current datetime
if(empty($event['datetime'])) $event['datetime']=date("Y-m-d H:i:s");
$datetime=explode(" ",$event["datetime"]);
$time=$datetime[1];
$date=$datetime[0];
$times=explode(":",$time);
$dates=explode("-",$date);
$event['year']=$dates[0];
$event['month']=$dates[1];
$event['day']=$dates[2];
$event['hour']=$times[0];
$event['minute']=$times[1];
$min=!empty($_POST['minute'])?$_POST['minute']:$event['minute'];
$hour=!empty($_POST['hour'])?$_POST['hour']:$event['hour'];

$today=getdate();
$year=!empty($_POST['year'])?$_POST['year']:$event['year'];
$month=!empty($_POST['month'])?$_POST['month']:$event['month'];
$day=!empty($_POST['day'])?$_POST['day']:$event['day'];

//if not event or post selected default to today
$year=$year?$year:$today['year'];
$month=$month?$month:$today['mon'];
$day=$day?$day:$today['mday'];
//clear leading 0
if(preg_match("/^0/",$month)) $month=str_replace("0","",$month);

// days array
$days=array('','Sunday','Tuesday','Wednesday','Thursday','Friday','Saturday');
$selected=@getdate(strtotime("1 ".$months[$month]." ".$year));
$wday=$selected['wday'];

// how many day in this month?
if($months[$month]=='January'||$months[$month]=='March'||$months[$month]=='May'||$months[$month]=='July'||
$months[$month]=='August'||$months[$month]=='October'||$months[$month]=='December')
{
  $numdays=31;
}
elseif($months[$month]=='February')
{
   if(checkdate(2,29,$year))
   {
      $numdays=29;
   }
   else $numdays=28;
}
else $numdays=30;

// calculate 'extra' days - these which need to come on the first
// row - like 30-31- -- - -- - -- - -- - 1
$estart=(7-$wday)+28;
$extra=$numdays-$estart;

require_once("mc_template.html");